import { defineComponent, ref } from 'vue'

export default defineComponent({
  name: 'CTitleSec',
  props: {
    title: {
      type: String,
      required: true,
    },
    bgcolor: {
      type: String,
      required: false,
      default: 'bg-primary',
    },
    clcolor: {
      type: String,
      required: false,
      default: 'text-white',
    },
    icon: {
      type: String,
      required: false,
      default: '',
    },
  },
  components: {},
  setup(props, { emit }) {

    function iconopen() {
      return 'fas fa-chevron-down q-icon q-expansion-item__toggle-icon q-focusable rotate-180'
    }

    return {
      iconopen,
    }
  },
})
